libqt5printsupport-devel-5.6.2-11.mga6.i586.rpm


Advertisement

Description

libqt5printsupport-devel - Devel files needed to build apps based on QtPrintSupport

Property Value
Distribution Mageia 6.0
Repository Mageia Core i586
Package name libqt5printsupport-devel
Package version 5.6.2
Package release 11.mga6
Package architecture i586
Package type rpm
Installed size 109.70 KB
Download size 36.56 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Devel files needed to build apps based on QtPrintSupport.

Alternatives

Package Version Architecture Repository
libqt5printsupport-devel-5.9.4-1.1.mga6.i586.rpm 5.9.4 i586 Mageia Core Updates
libqt5printsupport-devel - - -

Requires

Name Value
devel(libQt5Core) -
devel(libQt5Gui) -
devel(libQt5Widgets) -
devel(libm) -
devel(libstdc++) -
libqt5printsupport5 == 5.6.2
pkgconfig -
pkgconfig(Qt5Core) -
pkgconfig(Qt5Gui) -
pkgconfig(Qt5Widgets) -
qtbase5-common == 5.6.2
qtbase5-common-devel == 5.6.2-11.mga6

Provides

Name Value
cmake(Qt5PrintSupport) == 5.6.2
devel(libQt5PrintSupport) -
libqt5printsupport-devel == 5.6.2
libqt5printsupport-devel == 5.6.2-11.mga6
libqt5printsupport-devel(x86-32) == 5.6.2-11.mga6
libqt5printsupport-private-devel == 5.6.2-11.mga6
libqtprintsupport5-devel == 5.6.2
pkgconfig(Qt5PrintSupport) == 5.6.2
qt5printsupport-devel == 5.6.2
qt5printsupport-private-devel == 5.6.2
qtprintsupport5-devel == 5.6.2
qtprintsupport5-private-devel == 5.6.2

Obsoletes

Name Value
libqt5printsupport-private-devel < 5.6.0-1

Download

Type URL
Binary Package libqt5printsupport-devel-5.6.2-11.mga6.i586.rpm
Source Package qtbase5-5.6.2-11.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install libqt5printsupport-devel rpm package:
    # urpmi libqt5printsupport-devel

Files

Path
/usr/lib/libQt5PrintSupport.prl
/usr/lib/libQt5PrintSupport.so
/usr/lib/cmake/Qt5PrintSupport/Qt5PrintSupportConfig.cmake
/usr/lib/cmake/Qt5PrintSupport/Qt5PrintSupportConfigVersion.cmake
/usr/lib/cmake/Qt5PrintSupport/Qt5PrintSupport_QCupsPrinterSupportPlugin.cmake
/usr/lib/pkgconfig/Qt5PrintSupport.pc
/usr/lib/qt5/include/QtPrintSupport/QAbstractPrintDialog
/usr/lib/qt5/include/QtPrintSupport/QPageSetupDialog
/usr/lib/qt5/include/QtPrintSupport/QPrintDialog
/usr/lib/qt5/include/QtPrintSupport/QPrintEngine
/usr/lib/qt5/include/QtPrintSupport/QPrintPreviewDialog
/usr/lib/qt5/include/QtPrintSupport/QPrintPreviewWidget
/usr/lib/qt5/include/QtPrintSupport/QPrinter
/usr/lib/qt5/include/QtPrintSupport/QPrinterInfo
/usr/lib/qt5/include/QtPrintSupport/QtPrintSupport
/usr/lib/qt5/include/QtPrintSupport/QtPrintSupportDepends
/usr/lib/qt5/include/QtPrintSupport/QtPrintSupportVersion
/usr/lib/qt5/include/QtPrintSupport/qabstractprintdialog.h
/usr/lib/qt5/include/QtPrintSupport/qpagesetupdialog.h
/usr/lib/qt5/include/QtPrintSupport/qprintdialog.h
/usr/lib/qt5/include/QtPrintSupport/qprintengine.h
/usr/lib/qt5/include/QtPrintSupport/qprinter.h
/usr/lib/qt5/include/QtPrintSupport/qprinterinfo.h
/usr/lib/qt5/include/QtPrintSupport/qprintpreviewdialog.h
/usr/lib/qt5/include/QtPrintSupport/qprintpreviewwidget.h
/usr/lib/qt5/include/QtPrintSupport/qtprintsupportglobal.h
/usr/lib/qt5/include/QtPrintSupport/qtprintsupportversion.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qabstractprintdialog_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qcups_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qcupsjobwidget_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qpagesetupdialog_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qpagesetupdialog_unix_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qpaintengine_alpha_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qpaintengine_preview_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprint_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprintdevice_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprintengine_pdf_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprintengine_win_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprinter_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprinterinfo_p.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/qpa/qplatformprintdevice.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/qpa/qplatformprintersupport.h
/usr/lib/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/qpa/qplatformprintplugin.h

Changelog

2017-07-01 - luigiwalser <luigiwalser> 5.6.2-11.mga6
+ Revision: 1108894
- add upstream patch via opensuse to fix security issue (bsc#1034005)
2017-03-30 - neoclust <neoclust> 5.6.2-10.mga6
+ Revision: 1095279
- Revert branch commits, this does not fix our panel crash
2017-03-29 - neoclust <neoclust> 5.6.2-9.mga6
+ Revision: 1095202
- Update to 5.6 branch to help to fix plasma crashes
2017-03-20 - akien <akien> 5.6.2-8.mga6
+ Revision: 1093710
- Rebuild against bootstrapped qtbase5
2017-03-20 - neoclust <neoclust> 5.6.2-7.mga6
+ Revision: 1093670
- Rebuild against new icu
- Sync with 5.6 branch
2017-01-01 - neoclust <neoclust> 5.6.2-6.mga6
+ Revision: 1079241
- Fix Requires
2016-12-31 - luigiwalser <luigiwalser> 5.6.2-5.mga6
+ Revision: 1078907
- fix requires for qt5gui-devel
+ daviddavid <daviddavid>
- enable libproxy and tslib support
2016-12-13 - neoclust <neoclust> 5.6.2-3.mga6
+ Revision: 1074459
- enable journald support
2016-12-13 - stormi <stormi> 5.6.2-2.mga6
+ Revision: 1074432
- Add build dependency to pkgconfig(sm) for mga#16850
2016-11-03 - neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064875
- New version 5.6.2

See Also

Package Description
libqt5printsupport5-5.6.2-11.mga6.i586.rpm Qt5 Lib
libqt5qml-devel-5.6.2-10.mga6.i586.rpm Devel files needed to build apps based on QtDeclarative
libqt5qml5-5.6.2-10.mga6.i586.rpm Qt5 Lib
libqt5quick-devel-5.6.2-10.mga6.i586.rpm Devel files needed to build apps based on QtDeclarative
libqt5quick5-5.6.2-10.mga6.i586.rpm Qt5 Lib
libqt5quickparticles-devel-5.6.2-10.mga6.i586.rpm Devel files needed to build apps based on QtDeclarative
libqt5quickparticles5-5.6.2-10.mga6.i586.rpm Qt5 Lib
libqt5quicktest-devel-5.6.2-10.mga6.i586.rpm Devel files needed to build apps based on QtDeclarative
libqt5quicktest5-5.6.2-10.mga6.i586.rpm Qt5 Lib
libqt5quickwidgets-devel-5.6.2-10.mga6.i586.rpm Devel files needed to build apps based on QtDeclarative
libqt5quickwidgets5-5.6.2-10.mga6.i586.rpm Qt5 Lib
libqt5script-devel-5.6.2-2.mga6.i586.rpm Devel files needed to build apps based on QtScript
libqt5script5-5.6.2-2.mga6.i586.rpm Qt5 Component Library
libqt5scripttools-devel-5.6.2-2.mga6.i586.rpm Devel files needed to build apps based on QtScriptTools
libqt5scripttools5-5.6.2-2.mga6.i586.rpm Qt5 Component Library
Advertisement
Advertisement